# Package javax.el

- Interface Summary
  Interface | Description
  --- | ---
  ELContextListener |

- Class Summary
  Class | Description
  --- | ---
  ArrayELResolver |
  BeanELResolver |
  BeanELResolver.BeanProperties |
  BeanELResolver.BeanProperty |
  CompositeELResolver |
  ELContext |
  ELContextEvent |
  ELResolver |
  Expression |
  ExpressionFactory |
  FunctionMapper |
  ListELResolver |
  MapELResolver |
  MethodExpression |
  MethodInfo |
  ResourceBundleELResolver |
  ValueExpression |
  ValueReference |
  VariableMapper |

- Exception Summary
  Exception | Description
  --- | ---
  ELException | Represents any of the exception conditions that can arise during expression evaluation.
  MethodNotFoundException |
  PropertyNotFoundException |
  PropertyNotWritableException |

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.